Subject: Initial Response to Jack Sander's memo of 2/15/93

From: "Alexander W. Coburn" <[email-masked]>
Date: 16 Feb 93 10:07:33 EST

Let me list my initial thoughts on the memo Jack sent us yesterday. I beg
of all of you to respond; add your ideas; disagree with me; agree with me.
  
We have made an initial list of languages which we think we should include
in the CPI-C document. In addition to the languages which CPI-C 1.1 has,
we have ADA. Are there any others? Are there any which we don't think it
worthwhile to spend time on? Is RPG still an active language? Help me
here. Is FORTRAN actually used to write communications programs? Could we
defer RPG and FORTRAN, or not?
  
I agree with Jack, that for all the languages we decide on, we should do
the following:  
   -  Provide a pseudonym file for variable definitions.
   -  Provide documentation as to how the language makes CPI-C calls.
   -  Provide a list of any restrictions on CPI-C use that the language
      imposes.
   -  Others, please add to this list.
   
But one thing Jack didn't mention, is the issue that I find absolutely
the most critical: Why did VS COBOL II say they would not support non-
blocking CPI-C calls? I am convinced that there is a very good chance
that whatever reason COBOL has for this stance, that other languages will
have the same objection(s) when we point out to them what problems COBOL
has.
  
Sorry, that last sentence got away from me, but you get the idea. My main
concern is that we are architecting an API that won't be usable by any
high level language. If this is the case, we have failed. Let's find out
now while it's not too late to change. 
  
Please add your ideas.
  
Sincerely,
Andy Coburn